diff -ur -x .svn -x .git -x .bzr -x CVS griffith-0.13/AUTHORS trunk/AUTHORS
--- griffith-0.13/AUTHORS	2011-02-08 23:10:58.000000000 +0200
+++ trunk/AUTHORS	2013-07-27 18:37:04.380157205 +0300
@@ -32,3 +32,6 @@
 
 Ivo Nunes <netherblood@gmail.com>
 * Programmer
+
+Elan Ruusamäe <glen@delfi.ee>
+* Tellico import plugin
diff -ur -x .svn -x .git -x .bzr -x CVS griffith-0.13/ChangeLog trunk/ChangeLog
--- griffith-0.13/ChangeLog	2011-12-18 22:46:20.000000000 +0200
+++ trunk/ChangeLog	2014-01-06 22:10:52.548344780 +0200
@@ -1,10 +1,123 @@
-# $Id: ChangeLog 1604 2011-12-18 20:46:19Z piotrek $ vim: ts=4
+# $Id: ChangeLog 1659 2013-12-16 21:39:36Z mikej06 $ vim: ts=4
 
 Griffith ChangeLog
 ------------------
-(c) 2005-2011  Vasco Nunes, Piotr Ożarowski
+(c) 2005-2013  Vasco Nunes, Piotr Ożarowski
 
 
+2013-12-16  Michael Jahn
+	* better handling of temporary poster files
+	
+2013-12-09  Michael Jahn
+	* IMDb plugin updated
+
+2013-12-03  Michael Jahn
+	* IMDb plugin updated
+
+2013-11-17  Michael Jahn
+	* [#1251923] poster not loaded from CSFD
+
+2013-11-12  Michael Jahn
+	* [#1250013] Allocine plugin do not populate the fields
+
+2013-10-17  Michael Jahn
+	* IMDb plugin updated
+	  [#1235747] IMDB fields not populating
+	  [#1239178] IMDB fails to populate some fields
+	  [#1236093] IMDB failure starting around 25 Sept 2013
+	  [#1240477] IMDB not Downloading All Fields in 0.13 for Linux
+
+2013-10-04  Michael Jahn
+	* FilmeAffinity movie plugin updated
+	  [#1210828] FilmAffinity
+	  [#1216572] [FilmAffinity plugin] doesn't show the list of movies
+
+2013-09-27  Michael Jahn
+	* FilmeVonAZ movie plugin updated
+
+2013-06-26  Michael Jahn
+	* [1194709] DVDEmpire plugin stopped returning results
+
+2013-06-24  Michael Jahn
+	* [1174569] FilmAffinity plugin does not work since today
+
+2013-06-01  Michael Jahn
+	* PDF export plugin updated
+	
+2013-05-24  Michael Jahn
+	* Allocine movie plugin updated
+
+2013-04-02  Michael Jahn
+	* [1039068] Return the list of films sorted; added sorting by title for result lists
+
+2013-02-21  Michael Jahn
+	* IMDb and Cinemovies movies plugin updated
+
+2013-01-30  Michael Jahn
+	* FilmeVonAZ and OFDb movie plugins updated
+
+2013-01-28  Michael Jahn
+	* Kino.de and Cineteka movie plugins updated
+
+2012-12-29  Michael Jahn
+	* remove movie plugin FilmDb (site doesn't exists anymore)
+
+2012-12-16  Michael Jahn
+	* fixed backup for databases other than sqlite
+
+2012-12-06  Michael Jahn
+	* fixed IMDb plugins for direct search results
+
+2012-11-29  Michael Jahn
+	* [1084608] IMDB does not work from November 28, 2012; fixed IMDb plugins
+
+2012-11-20  Michael Jahn
+	* fixed Allocine plugin [663709]
+	
+2012-08-30  Michael Jahn
+	* [1043263] importing GriffithXML fails: posters are not added
+
+2012-08-29  Michael Jahn
+	* [1037249] typo in tellico spelling
+	
+2012-07-03  Michael Jahn
+	* DVD Palace movie plugin updated
+	
+2012-06-09  Michael Jahn
+	* DVD Palace movie plugin updated
+
+2012-06-07  Michael Jahn
+	* [#1010073] The MoviePosterDB seems to have quit working properly.
+
+2012-04-10  Vasco Nunes
+	* [#669431] Spell checker doesn't work
+
+2012-04-02  Michael Jahn
+	* fixed Allocine plugin (V3 API) (thanks to CinéphOli)
+
+2012-01-29  Michael Jahn
+	* [#923416] Connection failed. (Amazon plugin)
+	* [#913299] importing covers gives list index out of range
+	* [#913283] importer: 'poster' overwritten by 'image'
+
+2012-01-10  Piotr Ożarowski
+	* Filmweb movie plugin updated (thanks to mariusz2806)
+
+2012-01-08  Piotr Ożarowski
+	* Tellico import plugin added (thanks to Elan Ruusamäe)
+
+2012-01-07  Ivo Nunes
+	* Added a plugin for the portuguese website www.dvdpt.com
+
+2012-01-02  Michael Jahn
+	* [#909513] code errors in import plugins
+
+2011-12-27  Michael Jahn
+	* better error handling for PDF export plugin
+
+2011-12-26  Piotr Ożarowski
+	* Restoring database from backup fixed
+
 ---- 0.13 ----
 
 2011-12-18  Piotr Ożarowski
diff -ur -x .svn -x .git -x .bzr -x CVS griffith-0.13/NEWS trunk/NEWS
--- griffith-0.13/NEWS	2011-12-19 00:30:41.000000000 +0200
+++ trunk/NEWS	2013-07-27 18:37:07.490294405 +0300
@@ -2,7 +2,7 @@
 =============
 * New movie plugins: AllRovi, IMDB-pt, Interfilmes
 * Most movie plugins updated, 
-  - AniDB plugin requires lxml module now (new 4rd party dependency)
+  - AniDB plugin requires lxml module now (new 3rd party dependency)
 * New extensions: Database Cleanup and Maintenance
 * MacOSX integration improved
 * Many bug fixes
diff -ur -x .svn -x .git -x .bzr -x CVS griffith-0.13/README trunk/README
--- griffith-0.13/README	2010-10-18 22:55:15.000000000 +0300
+++ trunk/README	2013-07-27 18:37:04.400158088 +0300
@@ -1,4 +1,4 @@
-Griffith 0.12.1 README
+Griffith 0.13.0 README
 ======================
 
 This document was last updated on Thu Jun 10 2009.
Only in trunk/: debian
Only in griffith-0.13/glade: exporthtml.glade.h
Only in griffith-0.13/glade: griffith.glade.h
Only in griffith-0.13/glade: import.glade.h
Only in griffith-0.13/glade: importcsv.glade.h
diff -ur -x .svn -x .git -x .bzr -x CVS griffith-0.13/lib/add.py trunk/lib/add.py
--- griffith-0.13/lib/add.py	2011-10-03 21:34:23.000000000 +0300
+++ trunk/lib/add.py	2014-01-06 22:10:52.551678262 +0200
@@ -1,7 +1,7 @@
 # -*- coding: UTF-8 -*-
 # vim: fdm=marker
 
-__revision__ = '$Id: add.py 1595 2011-10-02 19:25:14Z mikej06 $'
+__revision__ = '$Id: add.py 1659 2013-12-16 21:39:36Z mikej06 $'
 
 # Copyright (c) 2005-2011 Vasco Nunes, Piotr Ożarowski
 #
@@ -245,19 +245,23 @@
     if total > 1:
         self.widgets['results']['window'].show()
         self.widgets['results']['window'].set_keep_above(True)
+        movieslist = []
         row = None
         key = 0
-        self.treemodel_results.clear()
         for row in self.search_movie.ids:
             if (str(row) != ''):
                 if isinstance(self.search_movie.titles[key], unicode):
                     title = self.search_movie.titles[key]
                 else:
                     title = str(self.search_movie.titles[key]).decode(self.search_movie.encode)
-                myiter = self.treemodel_results.insert_before(None, None)
-                self.treemodel_results.set_value(myiter, 0, str(row))
-                self.treemodel_results.set_value(myiter, 1, title)
+                movieslist.append((row, title))
             key += 1
+        movieslist = sorted(movieslist, key=lambda titel: titel[1])
+        self.treemodel_results.clear()
+        for entry in movieslist:
+            myiter = self.treemodel_results.insert_before(None, None)
+            self.treemodel_results.set_value(myiter, 0, str(entry[0]))
+            self.treemodel_results.set_value(myiter, 1, entry[1])
         self.widgets['results']['treeview'].show()
     elif total == 1:
         self.widgets['results']['treeview'].set_cursor(total-1)
@@ -301,7 +305,7 @@
                 self.search_movie.title = unicode(title, 'utf-8')
         # check if internet connection is available
         try:
-            urllib2.urlopen(self.search_movie.url)
+            urllib2.urlopen("http://www.griffith.cc")
             if self.search_movie.search_movies(self.widgets['add']['window']):
                 self.search_movie.get_searches()
             if len(self.search_movie.ids) == 1 and o_title and title:
@@ -684,26 +688,31 @@
 
     new_poster_md5 = None
     if details['image']:
-        tmp_image_path = details['image']
+        tmp_image_path = original_image_path = details['image']
         if not os.path.isfile(tmp_image_path):
             tmp_image_path = os.path.join(self.locations['temp'], "poster_%s.jpg" % details['image'])
         if os.path.isfile(tmp_image_path):
-            new_poster_md5 = gutils.md5sum(file(tmp_image_path, 'rb'))
+            file_object = file(tmp_image_path, 'rb')
+            try:
+                new_poster_md5 = gutils.md5sum(file_object)
 
-            if session.query(db.Poster).filter_by(md5sum=new_poster_md5).count() == 0:
-                try:
-                    data = file(tmp_image_path, 'rb').read()
-                except Exception, e:
-                    log.warning("cannot read poster data")
+                if session.query(db.Poster).filter_by(md5sum=new_poster_md5).count() == 0:
+                    try:
+                        file_object.seek(0, 0);
+                        data = file_object.read()
+                    except Exception, e:
+                        log.warning("cannot read poster data")
+                    else:
+                        poster = db.Poster(md5sum=new_poster_md5, data=data)
+                        del details["image"]
+                        details["poster_md5"] = new_poster_md5
+                        session.add(poster)
                 else:
-                    poster = db.Poster(md5sum=new_poster_md5, data=data)
-                    del details["image"]
                     details["poster_md5"] = new_poster_md5
-                    session.add(poster)
-            else:
-                details["poster_md5"] = new_poster_md5
+            finally:
+                file_object.close()
             try:
-                if not tmp_image_path == details['image']:
+                if not tmp_image_path == original_image_path:
                     os.remove(tmp_image_path)
             except Exception, e:
                 log.warn("cannot remove temporary file %s", tmp_image_path)
diff -ur -x .svn -x .git -x .bzr -x CVS griffith-0.13/lib/backup.py trunk/lib/backup.py
--- griffith-0.13/lib/backup.py	2011-02-17 19:17:36.000000000 +0200
+++ trunk/lib/backup.py	2013-07-27 18:37:06.320242790 +0300
@@ -1,6 +1,6 @@
 # -*- coding: UTF-8 -*-
 
-__revision__ = '$Id: backup.py 1539 2011-02-17 00:31:19Z iznogoud $'
+__revision__ = '$Id: backup.py 1632 2012-12-16 21:15:57Z mikej06 $'
 
 # Copyright (c) 2005-2009 Vasco Nunes, Piotr Ożarowski
 #
@@ -85,10 +85,12 @@
                 file_path = os.path.join(self.locations['home'], db_file_name).encode('utf-8')
                 mzip.write(file_path, arcname=db_file_name)
             else:
+                tmp_engine = None
                 try:
                     tmp_dir = mkdtemp()
-                    tmp_config = copy.deepcopy(self.config)
-                    tmp_config._file = os.path.join(tmp_dir, 'griffith.cfg')
+                    tmp_config_file = os.path.join(tmp_dir, 'griffith.cfg')
+                    self.config.save(tmp_config_file)
+                    tmp_config = config.Config(file=tmp_config_file)
                     tmp_config.set('type', 'sqlite', section='database')
                     tmp_config.set('file', 'griffith.db', section='database')
                     tmp_config.set('name', 'griffith', section='database')
@@ -114,7 +116,8 @@
                     mzip.write(tmp_file, arcname='griffith.db')
                 finally:
                     # disposing the temporary db connection before rmtree and in finally block to avoid locked db file
-                    tmp_engine.dispose()
+                    if tmp_engine:
+                        tmp_engine.dispose()
                     rmtree(tmp_dir)
             gutils.info(_("Backup has been created"), self.widgets['window'])
 
@@ -200,7 +203,7 @@
     * SQLite3 *.db file
     """
     # let user select a backup file
-    filename = gutils.file_chooser(_("Restore Griffith backup"), \
+    filename, path = gutils.file_chooser(_("Restore Griffith backup"), \
                 action=gtk.FILE_CHOOSER_ACTION_OPEN, backup=True, \
                 buttons=(gtk.STOCK_CANCEL, gtk.RESPONSE_CANCEL, gtk.STOCK_OPEN, gtk.RESPONSE_OK))
     if not filename:
diff -ur -x .svn -x .git -x .bzr -x CVS griffith-0.13/lib/config.py trunk/lib/config.py
--- griffith-0.13/lib/config.py	2011-01-19 17:53:44.000000000 +0200
+++ trunk/lib/config.py	2013-07-27 18:37:06.323576270 +0300
@@ -1,6 +1,6 @@
 # -*- coding: UTF-8 -*-
 
-__revision__ = '$Id: config.py 1502 2011-01-19 15:52:19Z mikej06 $'
+__revision__ = '$Id: config.py 1632 2012-12-16 21:15:57Z mikej06 $'
 
 # Copyright © 2005-2011 Vasco Nunes, Piotr Ożarowski
 #
@@ -85,10 +85,12 @@
             d[i] = j
         return d
 
-    def save(self):
-        if not os.path.exists(os.path.split(self._file)[0]):
-            os.makedirs(os.path.split(self._file)[0])
-        self._cfg.write(open(self._file, 'w'))
+    def save(self, file = None):
+        if not file:
+            file = self._file
+        if not os.path.exists(os.path.split(file)[0]):
+            os.makedirs(os.path.split(file)[0])
+        self._cfg.write(open(file, 'w'))
 
     def load(self):
         if os.path.isfile(self._file):
diff -ur -x .svn -x .git -x .bzr -x CVS griffith-0.13/lib/db/validators.py trunk/lib/db/validators.py
--- griffith-0.13/lib/db/validators.py	2011-06-14 23:02:24.000000000 +0300
+++ trunk/lib/db/validators.py	2013-07-27 18:37:06.076898722 +0300
@@ -23,7 +23,13 @@
 
 import logging
 
-from sqlalchemy.orm.interfaces import AttributeExtension, InstrumentationManager
+from sqlalchemy.orm.interfaces import AttributeExtension
+try:
+    # sql alchemy 0.8 (and above)
+    from sqlalchemy.ext.instrumentation import InstrumentationManager
+except:
+    # sql alchemy 0.7
+    from sqlalchemy.orm.interfaces import InstrumentationManager
 from sqlalchemy.orm import ColumnProperty
 from sqlalchemy.types import String
 
diff -ur -x .svn -x .git -x .bzr -x CVS griffith-0.13/lib/edit.py trunk/lib/edit.py
--- griffith-0.13/lib/edit.py	2011-08-23 23:51:34.000000000 +0300
+++ trunk/lib/edit.py	2013-07-27 18:37:06.326909751 +0300
@@ -1,6 +1,6 @@
 # -*- coding: UTF-8 -*-
 
-__revision__ = '$Id: edit.py 1572 2011-08-23 18:47:22Z mikej06 $'
+__revision__ = '$Id: edit.py 1619 2012-01-29 19:11:45Z mikej06 $'
 
 # Copyright © 2005-2011 Vasco Nunes, Piotr Ożarowski
 
@@ -152,5 +152,5 @@
 def update_tree_thumbnail(self, t_image_path):
     self.Image.set_from_file(t_image_path)
     pixbuf = self.Image.get_pixbuf()
-    if self.selected_iter[0]:
+    if len(self.selected_iter) > 0 and self.selected_iter[0]:
         self.treemodel.set_value(self.selected_iter[0], 1, pixbuf)
\ No newline at end of file
diff -ur -x .svn -x .git -x .bzr -x CVS griffith-0.13/lib/initialize.py trunk/lib/initialize.py
--- griffith-0.13/lib/initialize.py	2011-12-04 17:59:11.000000000 +0200
+++ trunk/lib/initialize.py	2013-07-27 18:37:06.320242790 +0300
@@ -1,6 +1,6 @@
 # -*- coding: UTF-8 -*-
 
-__revision__ = '$Id: initialize.py 1600 2011-12-02 20:30:27Z mikej06 $'
+__revision__ = '$Id: initialize.py 1622 2012-04-10 17:07:16Z iznogoud $'
 
 # Copyright © 2005-2011 Vasco Nunes, Piotr Ożarowski
 #
@@ -50,14 +50,11 @@
     if defaultEnc is None:
         defaultEnc = 'UTF-8'
     locations = {}
-    locations['exec'] = os.path.abspath(os.path.dirname(sys.argv[0])) # deprecated
+    locations['exec'] = os.path.abspath(os.path.dirname(sys.argv[0]))  # deprecated
     locations['lib'] = os.path.dirname(__file__)
     locations['home'] = home_dir
 
-    if os.name == 'nt' or os.name.startswith('win'): # win32, win64
-        import winshell
-        from win32com.shell import shellcon, shell
-
+    if os.name == 'nt' or os.name.startswith('win'):  # win32, win64
         locations['movie_plugins'] = "%s\\lib\\plugins\\movie" % locations['exec']
         locations['export_plugins'] = "%s\\lib\\plugins\\export" % locations['exec']
         locations['images'] = "%s\\images" % locations['exec']
@@ -165,6 +162,7 @@
         self.widgets['extensions']['toolbar_hb'].show()
         self.widgets['menu']['ext_toolbar'].set_active(True)
 
+
 def treeview(self):
     import main_treeview
     # set up the treeview to do multiple selection
@@ -174,7 +172,7 @@
     tree.set_headers_visible(True)
     tree.get_selection().set_mode(gtk.SELECTION_MULTIPLE)
     self.widgets['treeview'].get_selection().connect("changed", main_treeview.on_tree_selection, self)
-    
+
     # number column
     renderer = gtk.CellRendererText()
     self.number_column = gtk.TreeViewColumn(_('No.'), renderer, text=0)
@@ -280,6 +278,7 @@
     self.updated_column.set_alignment(0.5)
     self.updated_column.set_reorderable(True)
     self.widgets['treeview'].append_column(self.updated_column)
+
     # reflect saved column order and column sizes
     columnorder = self.config.get('columnorder', None, section='mainlist')
     if columnorder:
@@ -319,7 +318,7 @@
     self.total = self.db.session.query(db.Movie).count()
     self.widgets['treeview'].set_search_equal_func(search_func_treeview)
     self.widgets['treeview'].show()
-    
+
     # adding some completion fields - TODO: move it to initialize
     self.completion = gtk.EntryCompletion()
     self.widgets['add']['o_title'].set_completion(self.completion)
@@ -331,14 +330,15 @@
     self.completion_t.set_model(self.treemodel)
     self.completion_t.set_text_column(4)
 
+
 def search_func_treeview(model, column, key, iter):
-    return not (str(model.get_value(iter, 0)).startswith(key) or 
-        str(model.get_value(iter, 2)).lower().startswith(key.lower()) or 
+    return not (str(model.get_value(iter, 0)).startswith(key) or
+        str(model.get_value(iter, 2)).lower().startswith(key.lower()) or
         str(model.get_value(iter, 3)).lower().startswith(key.lower()))
 
 
 def loans_treeview(self):
-    self.loans_treemodel = gtk.TreeStore(str, str, str) # move to self.widgets
+    self.loans_treemodel = gtk.TreeStore(str, str, str)  # move to self.widgets
     self.widgets['movie']['loan_history'].set_model(self.loans_treemodel)
     self.widgets['movie']['loan_history'].set_headers_visible(True)
     # loan date
@@ -540,7 +540,7 @@
     for i in fields_to_import:
         j = j + 1
         w['fields'][i] = gtk.CheckButton(self.field_names[i])
-        w['fields'][i].set_active(True) # TODO: get from config
+        w['fields'][i].set_active(True)  # TODO: get from config
         if j <= k:
             w['box_import_1'].add(w['fields'][i])
         elif j <= 2 * k:
@@ -583,7 +583,6 @@
 def extension_preferences(self, module, enabled):
     # preferences window
     p_vbox = self.widgets['extensions']['preferences_vbox']
-
     configwidgets = {}
 
     label = "%s v%s <i>(%s &lt;%s&gt;)</i>" % (module.name, module.version, module.author, module.email)
@@ -615,6 +614,9 @@
             w.insert_text(value)
             # TODO: min, max
         # elif type is int: # TODO
+        elif type_ is bool:
+            w = gtk.CheckButton()
+            w.set_active(bool(value))
         elif isinstance(type_, (list, tuple, dict)):
             model = gtk.TreeStore(str, str)
             if isinstance(type_, dict):
@@ -665,7 +667,7 @@
     if hasattr(self, 'extensions'):
         for ext in self.extensions:
             ext.clear()
-    self.extensions = [] # deletes previous instances
+    self.extensions = []  # deletes previous instances
 
     for ext_name in plugins.extensions.by_name:
         ext_module = plugins.extensions.by_name[ext_name]
@@ -730,7 +732,7 @@
     pos_to_activate = 0
     selected_criteria = self.config.get('criteria', None, section='mainlist')
     self.search_criteria_sorted = sorted((self.field_names[criteria], criteria) for criteria in self.search_criteria)
-    self.search_criteria_sorted.insert( 0, ( _('Any'), 'any' ) ) 
+    self.search_criteria_sorted.insert(0, (_('Any'), 'any'))
     for (criterianame, criteria) in self.search_criteria_sorted:
         self.widgets['filter']['criteria'].insert_text(i, criterianame)
         if selected_criteria == criterianame:
@@ -745,12 +747,12 @@
             self.widgets['preferences']['sortby'].insert_text(i, _('Last added'))
         i += 1
     self.widgets['preferences']['sortby'].set_wrap_width(3)
-    self.widgets['preferences']['sortby'].set_active(0) # Number
+    self.widgets['preferences']['sortby'].set_active(0)  # Number
 
 
 def dictionaries(self):
     """initializes data filled dynamically by users"""
-    self.am_tags = {} # dictionary for tag CheckBoxes
+    self.am_tags = {}  # dictionary for tag CheckBoxes
     update_volume_combo_ids(self)
     update_collection_combo_ids(self)
     fill_volumes_combo(self)
@@ -765,7 +767,7 @@
     vcodec_combos(self)
     media_combos(self)
     create_tag_vbox(self, widget=self.widgets['add']['tag_vbox'], tab=self.am_tags)
-    self.sort_criteria = [ # "[]" because of index()
+    self.sort_criteria = [  # "[]" because of index()
         'number', 'o_title', 'title', 'director', 'year', 'runtime', 'country',
         'genre', 'studio', 'media_num', 'rating', 'classification', 'collection_id',
         'volume_id', 'cond', 'layers', 'region', 'movie_id']
@@ -851,9 +853,9 @@
     spell_error = False
     if self.posix and spell_support:
         if self.config.get('gtkspell', False, section='spell') == True:
-            if self.config.get('notes', True, section='spell') == True and self.config.get('lang', section='spell') != '':
+            if self.config.get('notes', True, section='spell') is True and self.config.get('lang', section='spell') != '':
                 try:
-                    self.notes_spell = gtkspell.Spell(self.widgets['add']['cast'], self.config.get('lang', section='spell'))
+                    self.notes_spell = gtkspell.Spell(self.widgets['add']['notes'], self.config.get('lang', section='spell'))
                 except:
                     spell_error = True
             if self.config.get('plot', True, section='spell') is True and self.config.get('lang', section='spell') != '':
@@ -921,7 +923,7 @@
 
 def fill_volumes_combo(self, default=0):
     _tmp = self.initialized
-    self.initialized = False # don't refresh main treeview
+    self.initialized = False  # don't refresh main treeview
     self.widgets['add']['volume'].get_model().clear()
     for i in self.volume_combo_ids:
         vol_id = self.volume_combo_ids[i]
@@ -940,7 +942,7 @@
 
 def fill_collections_combo(self, default=0):
     _tmp = self.initialized
-    self.initialized = False # don't refresh main treeview
+    self.initialized = False  # don't refresh main treeview
     self.widgets['add']['collection'].get_model().clear()
     self.widgets['filter']['collection'].get_model().clear()
     for i in self.collection_combo_ids:
@@ -964,9 +966,9 @@
 
 def fill_advfilter_combo(self):
     _tmp = self.initialized
-    self.initialized = False # don't refresh main treeview
+    self.initialized = False  # don't refresh main treeview
     self.widgets['filter']['advfilter'].get_model().clear()
-    self.widgets['filter']['advfilter'].insert_text(0, '') # empty one
+    self.widgets['filter']['advfilter'].insert_text(0, '')  # empty one
     for i, item in enumerate(self.db.session.query(db.Filter.name).order_by(db.Filter.name).all()):
         # add some white spaces to prevent scrollbar hides parts of the names
         self.widgets['filter']['advfilter'].insert_text(i + 1, item.name + '   ')
@@ -977,7 +979,7 @@
 
 def fill_preferences_tags_combo(self):
     _tmp = self.initialized
-    self.initialized = False # don't refresh main treeview
+    self.initialized = False  # don't refresh main treeview
     self.widgets['preferences']['tag_name'].get_model().clear()
     self.tags_ids = {}
     for i, tag in enumerate(self.db.session.query(db.Tag.name, db.Tag.tag_id).all()):
@@ -990,7 +992,7 @@
 
 def fill_resolutions_combo(self, default=0):
     _tmp = self.initialized
-    self.initialized = False # don't refresh main treeview
+    self.initialized = False  # don't refresh main treeview
     self.widgets['add']['resolution'].get_model().clear()
     #resolutions = [names[0] for names in db._movie.res_aliases.values()]
     resolutions = [names[0] for (res, names) in db._movie.res_aliases.iteritems()]
@@ -1086,7 +1088,7 @@
     self.widgets['preferences']['media'].show_all()
     if self.config.has_key('media', section='defaults'):
         pos = gutils.findKey(self.config.get('media', section='defaults'), self.media_ids)
-        if pos  is not None:
+        if pos is not None:
             self.widgets['preferences']['media'].set_active(int(pos))
         else:
             self.widgets['preferences']['media'].set_active(0)
@@ -1138,7 +1140,7 @@
 
 
 def remove_hbox(self, widget, tab):
-    number = len(widget.get_children())-1    # last box number
+    number = len(widget.get_children()) - 1  # last box number
     try:
         tab.pop()
         widget.remove(widget.get_children().pop())
diff -ur -x .svn -x .git -x .bzr -x CVS griffith-0.13/lib/main_treeview.py trunk/lib/main_treeview.py
--- griffith-0.13/lib/main_treeview.py	2011-08-23 23:51:34.000000000 +0300
+++ trunk/lib/main_treeview.py	2013-07-27 18:37:06.076898722 +0300
@@ -1,6 +1,6 @@
 # -*- coding: UTF-8 -*-
 
-__revision__ = '$Id: main_treeview.py 1572 2011-08-23 18:47:22Z mikej06 $'
+__revision__ = '$Id: main_treeview.py 1616 2012-01-23 21:07:53Z piotrek $'
 
 # Copyright (c) 2005-2011 Vasco Nunes, Piotr Ożarowski
 
@@ -24,7 +24,6 @@
 import logging
 import os
 import gtk
-from sqlalchemy import select, desc
 from sqlalchemy.sql.expression import Select
 import db
 import gutils
@@ -32,12 +31,13 @@
 
 log = logging.getLogger("Griffith")
 
+
 def on_tree_selection(tree_selection, self):
     counts = tree_selection.count_selected_rows()
     treeview_selection_on_event(self, self.widgets['treeview'])
     treemodel, selected = tree_selection.get_selected_rows()
     self.selected_iter = [treemodel.get_iter(path) for path in selected]
-    
+
     if counts == 1:
         # TODO: rewrite me
         self.widgets['menu']['clone'].set_sensitive(True)
@@ -62,14 +62,17 @@
         self.widgets['popups']['print_cover'].set_sensitive(False)
     treeview_clicked(self)
 
+
 def foreach_treeview_selected(model, path, iter, selected):
     selected.append(model.get_value(iter, 0))
 
-def treeview_selection_on_event(self, treeview, iter = False):
+
+def treeview_selection_on_event(self, treeview, iter=False):
     self.selected = []
     treeview.get_selection().selected_foreach(foreach_treeview_selected, self.selected)
     #return selected
 
+
 def treeview_clicked(self):
     if self.initialized is False:
         return False
@@ -89,7 +92,8 @@
     else:
         return False
 
-def set_details(self, item=None):#{{{
+
+def set_details(self, item=None):  # {{{
     if item is None:
         item = {}
     if 'movie_id' in item and item['movie_id']:
@@ -127,7 +131,7 @@
             w['resolution'].set_text(item['resolution'])
         elif 'height' in item and item['height'] and 'width' in item and item['width']:
             w['resolution'].set_text("%dx%d" % (item['width'], item['height']))
-        else: # fallback to 'resolution'
+        else:  # fallback to 'resolution'
             w['resolution'].set_text(item['resolution'])
     else:
         w['resolution'].set_text('')
@@ -172,10 +176,10 @@
         else:
             log.info("Wrong value in 'region' field (movie_id=%s, region=%s)" % (item['movie_id'], item['region']))
             w['region'].set_text('')
-            self.widgets['tooltips'].set_tip(w['region'], self._regions[0]) # N/A
+            self.widgets['tooltips'].set_tip(w['region'], self._regions[0])  # N/A
     else:
         w['region'].set_text('')
-        self.widgets['tooltips'].set_tip(w['region'], self._regions[0]) # N/A
+        self.widgets['tooltips'].set_tip(w['region'], self._regions[0])  # N/A
     if 'layers' in item and item['layers']:
         if str(item['layers']) in [str(i) for i in range(len(self._layers))]:
             w['layers'].set_markup("<i>%s</i>" % self._layers[item['layers']])
@@ -303,7 +307,7 @@
             self.loan_date = str(item.loan_details.date)
             w['loan_info'].set_use_markup(False)
             w['loan_info'].set_label(_("This movie has been loaned to %s on %s") % (self.person_name, self.loan_date[:10]))
-    if 'loaned' in item and not item['loaned']: # "loaned" status can be changed above, so don't use "else:" in this line
+    if 'loaned' in item and not item['loaned']:  # "loaned" status can be changed above, so don't use "else:" in this line
         self.widgets['popups']['loan'].set_sensitive(True)
         self.widgets['popups']['email'].set_sensitive(False)
         self.widgets['popups']['return'].set_sensitive(False)
@@ -358,7 +362,7 @@
         i.destroy()
     if 'languages' in item and len(item['languages']) > 0:
         for i in item['languages']:
-            if i.type == 3: # subtitles
+            if i.type == 3:  # subtitles
                 if i.subformat:
                     tmp = "%s - %s" % (i.language.name, i.subformat.name)
                 else:
@@ -390,21 +394,21 @@
         tmp = ''
         for tag in item['tags']:
             tmp += "%s, " % tag.name
-        tmp = tmp[:-2] # cut last comma
+        tmp = tmp[:-2]  # cut last comma
         w['tags'].set_text(tmp)
     #}}}
 
 
-def populate(self, movies=None, where=None, qf=True):#{{{
-    if self.initialized is False: # dont try to fill movie list if Griffith is not initialized yet
+def populate(self, movies=None, where=None, qf=True):  # {{{
+    if self.initialized is False:  # dont try to fill movie list if Griffith is not initialized yet
         return False
 
-    if qf and movies is None or isinstance(movies, Select): # if ".execute().fetchall()" not invoked on movies yet
-        if not where: # due to possible 'seen', 'loaned', 'collection_id' in where
+    if qf and movies is None or isinstance(movies, Select):  # if ".execute().fetchall()" not invoked on movies yet
+        if not where:  # due to possible 'seen', 'loaned', 'collection_id' in where
             import advfilter
 
             # saved in advfilter
-            name = self.widgets['filter']['advfilter'].get_active_text()[:-3].decode('utf-8') # :-3 due to additional '   ' in the name
+            name = self.widgets['filter']['advfilter'].get_active_text()[:-3].decode('utf-8')  # :-3 due to additional '   ' in the name
             if name:
                 cond = self.db.session.query(db.Filter).filter_by(name=name).first()
                 if not cond:
@@ -529,13 +533,15 @@
     self.count_statusbar()
 #}}}
 
-def addmovie(self, movie): #{{{
+
+def addmovie(self, movie):  # {{{
     myiter = self.treemodel.append(None)
     setmovie(self, movie, myiter)
     return myiter
 #}}}
 
-def setmovie(self, movie, iter, treemodel = None): #{{{
+
+def setmovie(self, movie, iter, treemodel=None):  # {{{
     if not treemodel:
         treemodel = self.treemodel
 
@@ -573,7 +579,8 @@
     return iter
 #}}}
 
-def select(self, iter, ensurevisible = True): #{{{
+
+def select(self, iter, ensurevisible=True):  # {{{
     if iter:
         self.widgets['treeview'].get_selection().select_iter(iter)
         if ensurevisible:
